%define dist MIME-Lite
Name: perl-MIME-Lite
Version: 3.01
Release: alt2

Summary: MIME::Lite - low-calorie MIME generator
License: GPL or Artistic
Group: Development/Perl

#Url: %CPAN %dist
Source: %dist-%version.tar.gz

BuildArch: noarch

# Automatically added by buildreq on Wed Jun 02 2004
BuildRequires: perl-MailTools perl-devel sendmail-common

%description
MIME::Lite is intended as a simple, standalone module for generating
(not parsing!) MIME messages... specifically, it allows you to output a
simple, decent single- or multi-part message with text or binary
attachments.  It does not require that you have the Mail:: or MIME::
modules installed.

You can specify each message part as either the literal data itself (in
a scalar or array), or as a string which can be given to open() to get
a readable filehandle (e.g., "<filename" or "somecommand|").

You don't need to worry about encoding your message data: this module
will do that for you.  It handles the 5 standard MIME encodings.

If you need more sophisticated behavior, please get the MIME-tools
package instead.  I will be more likely to add stuff to that toolkit
over this one.

%prep
%setup -q -n %dist-%version

find -type f -print0 |
    xargs -r0 fgrep -l /usr/local/bin/ |
    xargs %__perl -pi -e 's|/usr/local/bin/|%_bindir/|g'

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/MIME*
%perl_vendor_man3dir/MIME*

%changelog
* Wed Jun 02 2004 Denis Smirnov <mithraen@altlinux.ru> 3.01-alt2
- Fixed summary and description

* Thu Jan 22 2004 Denis Smirnov <mithraen@altlinux.ru> 3.01-alt1
- Build for Sisyphus
